<section class="offer-dedicated-body  py-4  bg-light">
    <div class="container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item text-gray">
                    <a href="/home" style="color: #7987A1;">Home</a>
                </li>
                <li class="breadcrumb-item active" aria-current="page">Deal Code</li>
            </ol>
        </nav>
        <div class="row mb-3">
            <div class="col-xl-4 col-sm-12">
                <div class="bg-white border border-raduis p-0 mb-3">

                    <div class="text-center bg-success pt-5 pb-5 border-radius" *ngIf="!_DataService._DealCodeLoading">
                        <h1 class="m-0 p-0 text-white"> {{_DataService._DealCode.ItemCode || "----"}}</h1>
                        <div class="text-white">Deal Code</div>
                    </div>
                    <div class="text-center border-radius" *ngIf="_DataService._DealCodeLoading">
                        <ngx-skeleton-loader count="1" [theme]="{ width: '100%', height: '169px', margin: '0', 'background-color': '#19875450'}"></ngx-skeleton-loader>
                    </div>
                    <div class=" p-4 mb-0" *ngIf="!_DataService._DealCodeLoading">
                        <div class="mb-2">
                            Code Status
                            <div class="float-right">
                                {{_DataService._DealCode.StatusName || "--"}}
                            </div>
                        </div>
                        <div class="mb-2">
                            Valid Till
                            <div class="float-right">
                                {{(_DataService._DealCode.EndDate | date: 'dd/MM/yyyy HH:mm a') || "--"}}
                            </div>
                        </div>
                        <div class="mb-2 border-bottom pb-2">
                            Purchased On
                            <div class="float-right">
                                {{(_DataService._DealCode.CreateDate | date: 'dd/MM/yyyy HH:mm a') || "--"}}
                            </div>
                        </div>
                        <div class="  ">
                            Deal Amount
                            <div class="float-right">
                                {{_DataService._DealCode.Quantity}} &times; {{_DataService._DealCode.Amount}} 
                                = <span [innerHtml]="_HelperService._Account.Country.Symbol || _HelperService.AppConfig.CurrencySymbol"></span> {{(_DataService._DealCode.Quantity * _DataService._DealCode.Amount) | number: "1.2-2"}}
                            </div>
                        </div>
                        <div *ngIf="_DataService._DealCode?.DeliveryCharge > 0">
                            Delivery Fee
                            <div class="float-right">
                                <span [innerHtml]="_HelperService._Account.Country.Symbol || _HelperService.AppConfig.CurrencySymbol"></span> {{_DataService._DealCode.DeliveryCharge | number: "1.2-2"}}
                            </div>
                        </div>
                        <div class="  ">
                            Total Amount
                            <div class="float-right">
                                <span [innerHtml]="_HelperService._Account.Country.Symbol || _HelperService.AppConfig.CurrencySymbol"></span> {{_DataService._DealCode.TotalAmount | number: "1.2-2"}}
                            </div>
                        </div>
                    </div>
                    <div class=" p-4 mb-0" *ngIf="_DataService._DealCodeLoading">
                        <div class="mb-2">
                            <ngx-skeleton-loader count="1" [theme]="{ width: '80px', height: '18px', 'margin-bottom': '0'}"></ngx-skeleton-loader>
                            <div class="float-right">
                                <ngx-skeleton-loader count="1" [theme]="{ width: '100px', height: '18px', 'margin-bottom': '0'}"></ngx-skeleton-loader>
                            </div>
                        </div>
                        <div class="mb-2">
                            <ngx-skeleton-loader count="1" [theme]="{ width: '60px', height: '18px', 'margin-bottom': '0'}"></ngx-skeleton-loader>
                            <div class="float-right">
                                <ngx-skeleton-loader count="1" [theme]="{ width: '150px', height: '18px', 'margin-bottom': '0'}"></ngx-skeleton-loader>
                            </div>
                        </div>
                        <div class="mb-2">
                            <ngx-skeleton-loader count="1" [theme]="{ width: '75px', height: '18px', 'margin-bottom': '0'}"></ngx-skeleton-loader>
                            <div class="float-right">
                                <ngx-skeleton-loader count="1" [theme]="{ width: '150px', height: '18px', 'margin-bottom': '0'}"></ngx-skeleton-loader>
                            </div>
                        </div>
                        <div class="  ">
                            <ngx-skeleton-loader count="1" [theme]="{ width: '80px', height: '18px', 'margin-bottom': '0'}"></ngx-skeleton-loader>
                            <div class="float-right">
                                <ngx-skeleton-loader count="1" [theme]="{ width: '100px', height: '18px', 'margin-bottom': '0'}"></ngx-skeleton-loader>
                            </div>
                        </div>
                        <div class="  ">
                            <ngx-skeleton-loader count="1" [theme]="{ width: '80px', height: '18px', 'margin-bottom': '0'}"></ngx-skeleton-loader>
                            <div class="float-right">
                                <ngx-skeleton-loader count="1" [theme]="{ width: '150px', height: '18px', 'margin-bottom': '0'}"></ngx-skeleton-loader>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="bg-white border border-raduis p-0 m-0" *ngIf="!_DataService._DealCodeLoading">
                    <div class=" p-4 mb-0">
                        <div class=" bg-white popular-stores-card-offer">
                            <div class="media align-items-center ">
                                <a href="#">
                                    <img alt="{{_DataService._DealCode.MerchantDisplayName}}"
                                        [src]="_DataService._DealCode.MerchantIconUrl" class="mr-3">
                                </a>
                                <div class="media-body"><a href="#">
                                    </a>
                                    <div class="custom-card-body"><a href="#">
                                        </a>
                                        <h6 class="mb-1"><a
                                                class="text-black">{{_DataService._DealCode.MerchantDisplayName}}</a>
                                        </h6>
                                        <p class="text-gray mb-1 text-limit-1"> <i class="icofont-phone"></i>
                                            {{_DataService._DealCode.MerchantContactNumber}}</p>
                                        <p class="text-gray mb-1 d-flex align-items-center"> <i class="icofont-email mr-1"></i>
                                            {{cutString(_DataService._DealCode.MerchantEmail)}}</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
                <div class="bg-white border border-raduis p-0 m-0" *ngIf="_DataService._DealCodeLoading">
                    <div class=" p-4 mb-0">
                        <div class=" bg-white popular-stores-card-offer">
                            <div class="media align-items-center">
                                <ngx-skeleton-loader count="1" [theme]="{ width: '85px', height: '85px', 'margin': '0 1rem 0 0'}"></ngx-skeleton-loader>
                                <div class="media-body"><a href="#">
                                    </a>
                                    <div class="custom-card-body"><a href="#">
                                        </a>
                                        <h6 class="mb-1">
                                            <ngx-skeleton-loader count="1" [theme]="{ width: '78%', height: '19px', 'margin': '0 1rem 0 0'}"></ngx-skeleton-loader>
                                        </h6>
                                        <p class="text-gray mb-1 text-limit-1"> 
                                            <ngx-skeleton-loader count="1" [theme]="{ width: '78%', height: '19px', 'margin': '0 1rem 0 0'}"></ngx-skeleton-loader>
                                        </p>
                                        <p class="text-gray mb-1 text-limit-1"> 
                                            <ngx-skeleton-loader count="1" [theme]="{ width: '78%', height: '19px', 'margin': '0 1rem 0 0'}"></ngx-skeleton-loader>
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <div class="col-xl-8 col-sm-12">
                <div class="border-raduis overflow-hidden mb-4 border">
                    <div class="bg-white coupon-deal-detail-main" *ngIf="!_DataService._DealCodeLoading">
                        <div class="coupon-deal-detail-main-block">
                            <img class="img-fluid coupon-deal-detail-main-img" [src]="_DataService._DealCode.ImageUrl">
                        </div>
                        <div class="coupon-deal-detail-main-body p-4">
                            <h6 class="coupon-deal-detail-main-body-p font-weight-light pr-5">
                                {{_DataService._DealCode.Title}}</h6>
                            <div class="text-limit-2 mb-3" [innerHtml]="_DataService._DealCode.Description">
                            </div>
                        </div>

                    </div>
                    <div class="bg-white coupon-deal-detail-main" *ngIf="_DataService._DealCodeLoading">
                        <div class="coupon-deal-detail-main-block">
                            <ngx-skeleton-loader count="1" [theme]="{ width: '100%', height: '358px', 'margin': '0', 'border-radius': '6px'}"></ngx-skeleton-loader>
                        </div>
                        <div class="coupon-deal-detail-main-body p-4">
                            <h6 class="coupon-deal-detail-main-body-p font-weight-light pr-5">
                                <ngx-skeleton-loader count="1" [theme]="{ width: '68%', height: '20px', 'margin': '0'}"></ngx-skeleton-loader>
                            </h6>
                            <div class="text-limit-2 mb-3">
                                <ngx-skeleton-loader count="2" [theme]="{ width: '80%', height: '20px', 'margin-bottom': '0.5rem'}"></ngx-skeleton-loader>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>

        <div class="row"
            *ngIf="_DataService?._DealCode?.DealTypeCode == 'dealtype.product' && (_DataService._DealCode?.DeliveryTypeCode == 'deliverytype.delivery' ||  _DataService._DealCode?.DeliveryTypeCode == 'deliverytype.instoreanddelivery') &&  _DataService._DealCode?.DeliveryDetails?.ToAddress?.Name != undefined">
            <div class="col-lg-12">
                <div class="bg-white  border-raduis p-4 mb-4" *ngIf="!_DataService._DealCodeLoading">
                    <h6 class="mb-3">SHIPPING ADDRESS</h6>

                    <p>Name: {{_DataService._DealCode?.DeliveryDetails?.ToAddress?.Name}}</p>
                    <p>Address: {{_DataService._DealCode?.DeliveryDetails?.ToAddress?.AddressLine1}} &nbsp;
                        {{_DataService._DealCode?.DeliveryDetails?.ToAddress?.AddressLine2}}</p>
                    <p>Phone Number: {{_DataService._DealCode?.DeliveryDetails?.ToAddress?.ContactNumber}}</p>
                </div>
                <div class="bg-white  border-raduis p-4 mb-4" *ngIf="_DataService._DealCodeLoading">
                    <h6 class="mb-3">SHIPPING ADDRESS</h6>
                    <p><ngx-skeleton-loader count="3" [theme]="{ width: '80%', height: '20px', 'margin-bottom': '0.75rem'}"></ngx-skeleton-loader></p>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="bg-white  border-raduis p-4 mb-4">
                    <h6 class="mb-4">Redeem Instructions</h6>
                    <div class="conbox" [innerHtml]="_DataService._DealCode.RedeemInstruction" *ngIf="!_DataService._DealCodeLoading">
                    </div>
                    <div class="conbox" *ngIf="_DataService._DealCodeLoading" >
                        <ngx-skeleton-loader count="4" [theme]="{ width: '100%', height: '20px', 'margin-bottom': '0.5rem'}"></ngx-skeleton-loader>
                    </div>
                </div>
            </div>
            <div class="col-lg-12">
                <div class="bg-white   border-raduis p-4 mb-4">
                    <h6 class="mb-4">Terms and Conditions</h6>
                    <div class="conbox" [innerHtml]="_DataService._DealCode.Terms" *ngIf="!_DataService._DealCodeLoading">
                    </div>
                    <div class="conbox" *ngIf="_DataService._DealCodeLoading">
                        <ngx-skeleton-loader count="4" [theme]="{ width: '100%', height: '20px', 'margin-bottom': '0.5rem'}"></ngx-skeleton-loader>
                    </div>
                </div>
            </div>
        </div>

    </div>
</section>